# Google Play Distribution

## Prerequisite

In order to distribute your apps through Google Play, you must register to a *Google Play Developer Console* account. The registration fee is `$25` (one time only). It will take `48` hours for your *Google Play Developer Console* registration to be fully processed. To register, please go [here](https://play.google.com/apps/publish/).

{% hint style="info" %}
If you want to sell your apps, you will also need to register as a Google checkout merchant as well. To register, please visit [Link a Google Play Developer account to your payments profile](https://support.google.com/googleplay/android-developer/answer/answer.py?hl=en\&answer=2972701).
{% endhint %}

## Create a release build of an app

Create and download a release build version of your app through Monaca. Please refer to [Building for Android](/products_guide/monaca_ide/build/build_android.md) to create a release build of the app. Then, download the built app (an APK file).

## Register an app in Google Play

1. Go to [Google Play Developer Console](https://play.google.com/apps/publish/) and login with a valid Google Developer account.
2. Click the **CREATE APPLICATION** button.
3. Choose the default language and enter a title for your app. Then, click **CREATE** and you will be forwarded to the `Store listing` page.

![](/files/-MfkrRUIvtxtJz7y__1Q)

4\. On this page, fill in the following information and click **SAVE DRAFT**.

| Data              | Description                                                                                                                                                              |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Short description | Description of your app shown in Google Play. It can be up to `80` characters.                                                                                           |
| Full description  | Description of your app shown in Google Play. It can be up to `4000` characters.                                                                                         |
| Screenshots       | At least 2 screenshots are required but you can upload up to 8 screenshots per type.                                                                                     |
| Hi-res icon       | Upload a high-resolution icon (`512x512` PNG file) for your app.                                                                                                         |
| Feature Graphic   | Upload a feature graphic (`1024x500` PNG file) for your app.                                                                                                             |
| Application type  | Choose `Applications` or `Games`.                                                                                                                                        |
| Category          | Select a category for your app.                                                                                                                                          |
| Content rating    | Select a content rating for your app.                                                                                                                                    |
| Contact details   | You must have at least one support channel for your app. The support channel can be a website, email or phone number. The users of Google play can see this information. |
| Privacy Policy    | Input your privacy policy URL if you have one. Otherwise, tick`Not submitting a privacy policy URL at this time.`.                                                       |

5\. Go to the `Content rating` section and click **CONTINUE**.

6\. Fill in your email address and select your app category. Then, you will be asked to answer some questions related to the selected app category.

7\. Click **SAVE QUESTIONNAIRE** and **CALCULATE RATING**.

8\. Confirm your rating information and click **APPLY RATING**.

9\. Go to the `Pricing & distribution` section. On this page, you will be asked to complete some questions related to the price and availability of your app. After this, you have completed the necessary information for your app and it is ready for the release.

## Release the app

In this section, we will upload the APK file and finalize the release information of the app before submitting it to the Play Store.

1. Go to the `App releases` section. On this page, you can upload your APK files for testing (Beta and Alpha) and production.
2. Under the `Production section`, click **MANAGE PRODUCTION**. Then, click **CREATE RELEASE**.
3. Then, you will need to:
   * complete the Google Play App Signing option
   * upload the APK file
   * configure the release name (release version)
   * describe what is new in this release
4. Click **SAVE** and **REVIEW**.
5. Review your app’s release information one more time and click the **START ROLLOUT TO PRODUCTION** button to submit your app to the Play Store. The button is disabled unless the required information is completed properly.

![](https://docs.monaca.io/images/monaca_ide/manual/deploy/google_play/9.png)

See Also:

* [Building for Android](/products_guide/monaca_ide/build/build_android.md)
* [App Store Distribution](/products_guide/monaca_ide/deploy/appstore.md)
* [Non-market App Distribution](/products_guide/monaca_ide/deploy/non_market_deploy.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_ide/deploy/google_play.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
